## ros-kinetic-rospy-message-converter 0.5.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
cmake_policy(SET CMP0048 NEW)
project(rospy_message_converter)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

# Generate messages for testing (NOINSTALL)
add_message_files(
  FILES
  NestedUint8ArrayTestMessage.msg
  TestArray.msg
  Uint8Array3TestMessage.msg
  Uint8ArrayTestMessage.msg
  NOINSTALL
)

add_service_files(
  FILES
  NestedUint8ArrayTestService.srv
  NOINSTALL
)

catkin_python_setup()

# Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

# Testing
if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/test_json_message_converter.py)
  catkin_add_nosetests(test/test_message_converter.py)
endif()

=== debian/changelog ===
ros-kinetic-rospy-message-converter (0.5.6-1xenial) xenial; urgency=high

  * Propagate strict_mode, check_missing_fields in _convert_to_ros_type
    Previously, _convert_to_ros_type dropped strict_mode and
    check_missing_fields in nested messages.
  * Add NestedUint8ArrayTestService tests
  * propagate check_types in _convert_to_ros_type (#51 <https://github.com/uos/rospy_message_converter/issues/51>)
    Co-authored-by: Martin Günther <mailto:martin.guenther@dfki.de>
  * Fix binary_array_as_bytes=False with nested msgs
  * Add param binary_array_as_bytes
    Closes #45 <https://github.com/uos/rospy_message_converter/issues/45>.
  * Contributors: Marc Bosch-Jorge, Martin Günther, Otacon5555

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 28 Feb 2021 23:00:00 -0000

ros-kinetic-rospy-message-converter (0.5.5-1xenial) xenial; urgency=high

  * Decode strings from ROS messages as UTF8
    This makes the python2 behavior equal to python3.
  * python3 only: Validate base64 strings
  * Add bytes to python3 string types
    This means that bytes will now also be base64-decoded, which fixes the following tests on python3:
    * test_dictionary_with_uint8_array_bytes
    * test_dictionary_with_uint8_array_bytes_unencoded
    * test_dictionary_with_3uint8_array_bytes
    On python2, bytes is just an alias for str, which is why it worked
    without this.
  * Fix and add tests
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 08 Nov 2020 23:00:00 -0000

ros-kinetic-rospy-message-converter (0.5.4-1xenial) xenial; urgency=high

  * Avoid numpy dependency
  * Contributors: Martin Günther, betaboon

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 12 Oct 2020 22:00:00 -0000

ros-kinetic-rospy-message-converter (0.5.3-1xenial) xenial; urgency=high

  * Add check_types parameter to convert_dictionary_to_ros_message (#42 <https://github.com/uos/rospy_message_converter/issues/42>)
  * Allow numpy numeric types in numeric fields  (#41 <https://github.com/uos/rospy_message_converter/issues/41>)
    Fixes #39 <https://github.com/uos/rospy_message_converter/issues/39>.
  * perf: Remove remaining regexes
    This is only a small speedup of about 1.03x.
  * perf: Avoid regex in _is_field_type_a_primitive_array
    This makes the function almost 3x faster.
  * perf: Reorder type checks
    Perform the cheaper checks first. This results in a speedup of about
    1.2x.
  * perf: Avoid regex in is_ros_binary_type
    This makes is_ros_binary_type almost 5x faster and as a result the whole
    convert_ros_message_to_dictionary function almost 2x faster.
  * Compare types, not type names; improve error message
    Old error message:
    TypeError: Wrong type: '1.0' must be float64
    New error message:
    TypeError: Field 'x' has wrong type <type 'numpy.float64'> (valid types: [<type 'int'>, <type 'float'>])
  * Remove unused python_to_ros_type_map
  * added test for convert_dictionary_to_ros_message with int8 array
  * python 3 fix for _convert_to_ros_binary
  * Contributors: Martin Günther, Steffen Rühl

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 19 Aug 2020 22:00:00 -0000

ros-kinetic-rospy-message-converter (0.5.2-1xenial) xenial; urgency=high

  * Check for wrong field types when converting from dict to ros msg
  * Check for missing fields when converting from dict to ros msg
  * Contributors: Martin Günther, alecarnevale

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 08 Jul 2020 22:00:00 -0000

ros-kinetic-rospy-message-converter (0.5.1-1xenial) xenial; urgency=high

  * Initial release into Noetic
  * Decode base64-encoded byte arrays as unicode
  * Make tests compatible with python3
  * add check for python3 str serializing #33 <https://github.com/uos/rospy_message_converter/issues/33> (#34 <https://github.com/uos/rospy_message_converter/issues/34>)
  * efficient conversion of primitive array to ros type (#31 <https://github.com/uos/rospy_message_converter/issues/31>)
  * efficient conversion of primitive array
  * removed unused _convert_from_ros_primitive
  * optionally ignore extra fields when deserializing (#29 <https://github.com/uos/rospy_message_converter/issues/29>)
  * Remove EOL distros indigo + lunar from CI
  * travis CI: Use matrix to split ROS distros
  * Update README (convert to md, add build status)
  * Contributors: Martin Günther, George Hartt, Jannik Abbenseth, Omri Rozenzaft

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 24 May 2020 22:00:00 -0000

ros-kinetic-rospy-message-converter (0.5.0-1xenial) xenial; urgency=high

  * Initial release into Lunar and Melodic
  * Remove support for Jade (EOL)
  * Change maintainer from Brandon Alexander to Martin Günther
  * Move repo from baalexander to uos
  * Add serialize_deserialize to unit tests, fix incorrect tests caught by this
  * Remove dependency on ROS master in tests; all tests are now unit
    tests  (#18 <https://github.com/uos/rospy_message_converter/issues/18>)
  * Add service request/response support (#17 <https://github.com/uos/rospy_message_converter/issues/17>)
  * Fix fixed-size uint8 array conversion failure (#15 <https://github.com/uos/rospy_message_converter/issues/15>)
  * Fix unicode handling in string fields (#13 <https://github.com/uos/rospy_message_converter/issues/13>)
  * Enable testing only if CATKIN_ENABLE_TESTING is set (#9 <https://github.com/uos/rospy_message_converter/issues/9>)
  * Contributors: Martin Günther, Brandon Alexander, George Laurent, Jean-Baptiste Doyon, Viktor Schlegel, Rein Appeldoorn, Will Baker, neka-nat

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Jan 2019 23:00:00 -0000

ros-kinetic-rospy-message-converter (0.4.0-1xenial) xenial; urgency=high

  * Adds support for ROS Jade
  * Removes support for ROS Groovy and Hydro (EOL)
  * Uses single branch for all ROS versions
  * Docker support for local development and Travis CI

 -- Brandon Alexander <baalexander@gmail.com>  Sat, 12 Dec 2015 23:00:00 -0000



=== debian/control ===
Source: ros-kinetic-rospy-message-converter
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), python-numpy, ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-rosunit, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Homepage: http://ros.org/wiki/rospy_message_converter
Standards-Version: 3.9.2

Package: ros-kinetic-rospy-message-converter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-roslib, ros-kinetic-rospy, ros-kinetic-std-msgs
Description: Converts between Python dictionaries and JSON to rospy messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rospy-message-converter//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
